
Figure - Bug #118421
【IOVDEV-32036】【内部】【VC1】【0100】【台架】【EE环境】【副屏】【屏幕录制】屏幕录制1个小时自
动结束
2023-06-01 13:52 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-01

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 【副屏版本号】：01.00.0100.C103��【中控版本号】：03.02.0086.C102.03_userdebug_2305271506

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】：EE环境

【问题出现时间】：20230531 21:26，约第182次开机

https://ofs.human-horizons.com/#/download/index/hDAz6fruwLM%3D

【前提条件】：

【操作步骤】：1.屏幕下滑打开控制中心，点击屏幕录制

【实际结果】：录制至1个小时后自动结束，此时查看内存使用85%，再次录制还能录制

【期望结果】：录制至满存

【备注】：https://ofs.human-horizons.com/#/download/index/xMFaUyXiOE8%3D

【硬件版本号】：/

【副屏版本号】：01.00.0100.C103

【中控版本号】：03.02.0086.C102.03_userdebug_2305271506

【VIN】HRYTTESTVINMGM403

History

#1 - 2023-06-01 13:53 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118421

#2 - 2023-06-01 14:03 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD APP-王宏

#3 - 2023-06-02 11:43 - CD APP-王宏

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD APP-王宏 to CDTS_Test 吴诗雨

Hi 诗雨，

帮忙确定一下日志是否完整或者传错，

目前缺少关键日志，定位不到具体问题

#4 - 2023-06-02 13:43 - CDTS_Test 吴诗雨
- Assignee changed from CDTS_Test 吴诗雨 to CD APP-王宏

本地已复现相同情况

#5 - 2023-06-02 16:19 - CD APP-王宏

- Assignee changed from CD APP-王宏 to CDTS_Test 吴诗雨

■ Current conclusion

分析完毕

■ My analysis

抓到关键日志如下

//停止录制前关键日志

1338.txt:13288:06-02 11:57:02.404  1939  1939 D RecordingService: Media recorder info: 800

//录制停止服务日志

1338.txt:13289:06-02 11:57:02.404  1939  1939 D RecordingService: onStartCommand com.android.systemui.screenrecord.STOP

1338.txt:13290:06-02 11:57:02.404  1939  1939 D RecordingService: notifying for user 0

//保存视频日志

1338.txt:13316:06-02 11:57:02.422  1939  6328 D RecordingService: saving recording

根据

1338.txt:13288:06-02 11:57:02.404  1939  1939 D RecordingService: Media recorder info: 800

可以查到如下代码

    private static final int MAX_DURATION_MS = 60 * 60 * 1000;

    private static final long MAX_FILESIZE_BYTES = 5000000000L;

//录制视频最大持续时间 1小时

        mMediaRecorder.setMaxDuration(MAX_DURATION_MS);

//录制视频的最大文件大小 

        mMediaRecorder.setMaxFileSize(MAX_FILESIZE_BYTES);

这样设计的原因是为了保护使用设备的用户免受可能会导致系统故障或其他不可预见问题的影响。

■ Next action

原生如此，申请关闭

#6 - 2023-06-02 16:21 - CDTS_Test 吴诗雨

- Status changed from NEED_INFO to RESOLVED

已同步

#7 - 2023-06-02 16:21 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#8 - 2023-06-02 16:22 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED
